package com.xty.common.mmkv

import android.os.Parcel
import android.os.Parcelable

class MMkvList() : Parcelable {
      var list= mutableListOf<Int>()

    constructor(parcel: Parcel) : this() {
        list= mutableListOf()
        parcel.readList(list!!, javaClass.classLoader)
    }

    /**
     * 序列化
     */
    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeList(list)
    }

    //描述
    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<MMkvList> {
        override fun createFromParcel(parcel: Parcel): MMkvList {
            return MMkvList(parcel)
        }

        override fun newArray(size: Int): Array<MMkvList?> {
            return arrayOfNulls(size)
        }
    }


}
